<template>
  <nav class="navbar is-info">
    <div class="navbar-brand">
      <router-link to="/" class="navbar-item">
        IssueLab
      </router-link>
      <div class="navbar-burger burger" data-target="navbarExampleTransparentExample">
        <span></span>
        <span></span>
        <span></span>
      </div>
    </div>

    <div class="navbar-menu">
      <div class="navbar-start">
        <router-link class="navbar-item" v-if="$auth.isAuthenticated()" :to="{name: 'dashboard'}">
          Dashboard
        </router-link>
      </div>

      <div class="navbar-end">
        <div class="navbar-item">
          <div class="field is-grouped">
            <p class="control">
              <router-link v-if="$auth.isAuthenticated()" :to="{name: 'create'}" class="button is-info is-inverted">
                <span>
                  Create Form
                </span>
              </router-link>
            </p>
            <p class="control">
              <router-link v-if="!$auth.isAuthenticated()" :to="{name: 'auth'}" class="button is-info is-inverted">
                <span>Login</span>
              </router-link>
            </p>
          </div>
        </div>
      </div>
    </div>
  </nav>
</template>
